This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 426038 - running create_book without --product causes an error
running create_book without --product causes an error
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
2.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Jeff Fearn
Michael Hideo
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-17 17:21 EST by Murray McAllister
Modified: 2015-01-04 17:35 EST (History)
3 users (show)

See Also:
Fixed In Version: 0.26
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-01 20:23:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Murray McAllister 2007-12-17 17:21:40 EST
Description of problem:

Running the create_book command without the "--product" option causes the
following error:

Use of uninitialized value in concatenation (.) or string at
/usr/bin/create_book line 121.

However, the book is still created.


Version-Release number of selected component (if applicable):
documentation-devel-0.25-0.el5

How reproducible:
Always

Steps to Reproduce:
1. create_book --name Test_Book --brand Fedora

  
Actual results:

The book is created, but the following error occurs: "Use of uninitialized value
in concatenation (.) or string at /usr/bin/create_book line 121."

Expected results:
No errors

Additional info:

No errors if you use "--product": create_book --name Test_Book --brand Fedora
--product Test_Product
Comment 1 Jeff Fearn 2008-01-01 20:23:02 EST
Defaulted Product to Documentation.

Note You need to log in before you can comment on or make changes to this bug.